API referenceVideos
List videos
GET
/videosAuthorization
bearerAuth AuthorizationBearer <token>
In: header
Query Parameters
cursor?string
Length
1 <= length <= 2048limit?integer
Range
1 <= value <= 200Default
50channelId?string
Length
1 <= length <= 64platform?string
Value in
- "youtube"
- "instagram"
- "tiktok"
format?string
Value in
- "video"
- "short"
processingState?string
Value in
- "not-processed"
- "processing"
- "processed"
search?string
Length
length <= 200Response Body
application/json
curl -X GET "https://example.com/videos"{ "data": [ { "videoId": "string", "title": "string", "platform": "youtube", "format": "video", "thumbnailUrl": "string", "publishedAt": "string", "durationSeconds": 0, "viewCount": 0, "includesPaidPromotionFlag": true, "isLiveContent": true, "processingRequestedAt": "string", "processingState": "not-processed", "hasTranscript": true, "channelId": "string", "channelTitle": "string", "channelHandle": "string", "channelAvatarUrl": "string" } ], "meta": { "nextCursor": "string", "hasMore": true }}